/* $Id: destsub.c 1.1 1994/02/20 17:30:14 ulrich Exp $ */
/*
 * X library function XDestroySubwindow.
 */
#include "Xlibemu.h"

int
XDestroySubwindows (Display *dpy, Window parent)
{
  Window window;

  if (0 == _WCheckWindow (dpy, parent, X_DestroySubwindows))
    return 0;
  for (window = parent->top_child;
       window != NULL;
       window = window->lower_sibling) {
    XDestroySubwindows (dpy, window);
    _WDestroyWindow (dpy, window);
  }
  return 1;
}
